Index: /code/forks/sandbox_light/src/libraries/core/CMakeLists.txt
===================================================================
--- /code/forks/sandbox_light/src/libraries/core/CMakeLists.txt	(revision 7907)
+++ /code/forks/sandbox_light/src/libraries/core/CMakeLists.txt	(revision 7908)
@@ -20,83 +20,13 @@
 SET_SOURCE_FILES(CORE_SRC_FILES
   CommandLineParser.cc
-  ConfigValueContainer.cc
   Core.cc
-  DynLib.cc
-  DynLibManager.cc
-  Event.cc
-  Game.cc
-  GameMode.cc
-  GameState.cc
-  GraphicsManager.cc
-  GUIManager.cc
-  Language.cc
-  LuaState.cc
-  ObjectListBase.cc
-  OrxonoxClass.cc
-  Resource.cc
-  WindowEventListener.cc
-
-  # hierarchy
-  Identifier.cc
-  MetaObjectList.cc
-
-  # level
-  BaseObject.cc
-  ClassTreeMask.cc
-  Loader.cc
-  Namespace.cc
-  NamespaceNode.cc
-  Template.cc
-  XMLPort.cc
-  XMLNameListener.cc
-
-COMPILATION_BEGIN FilesystemCompilation.cc
-  command/ArgumentCompletionFunctions.cc
-  ConfigFileManager.cc
-  MemoryArchive.cc
   PathConfig.cc
-COMPILATION_END
-
-  # multithreading
-  ThreadPool.cc
-COMPILATION_BEGIN ThreadCompilation.cc
-  command/TclThreadManager.cc
-  Thread.cc
-COMPILATION_END
 )
-
-ADD_SUBDIRECTORY(command)
-ADD_SUBDIRECTORY(input)
 
 ORXONOX_ADD_LIBRARY(core
   FIND_HEADER_FILES
-  TOLUA_FILES
-    command/CommandExecutor.h
-    ConfigFileManager.h
-    Game.h
-    GameMode.h
-    GUIManager.h
-    Loader.h
-    LuaState.h
-    PathConfig.h
-    input/InputManager.h
-    input/KeyBinder.h
-    input/KeyBinderManager.h
-  PCH_FILE
-    CorePrecompiledHeaders.h
   LINK_LIBRARIES
-    ${OGRE_LIBRARY}
     ${Boost_FILESYSTEM_LIBRARY}
     ${Boost_SYSTEM_LIBRARY} # Filesystem dependency
-    ${Boost_THREAD_LIBRARY}
-    ${Boost_DATE_TIME_LIBRARY} # Thread dependency
-    ${CEGUI_LIBRARY}
-    ${CEGUILUA_LIBRARY}
-    ${LUA_LIBRARIES}
-    cpptcl_orxonox
-    ogreceguirenderer_orxonox
-    ois_orxonox
-    tinyxml_orxonox
-    tolua_orxonox
     util
   SOURCE_FILES
Index: /code/forks/sandbox_light/src/libraries/core/Core.cc
===================================================================
--- /code/forks/sandbox_light/src/libraries/core/Core.cc	(revision 7907)
+++ /code/forks/sandbox_light/src/libraries/core/Core.cc	(revision 7908)
@@ -51,27 +51,8 @@
 #endif
 
-#include "util/Clock.h"
 #include "util/Debug.h"
-#include "util/Exception.h"
-#include "util/Scope.h"
-#include "util/ScopedSingletonManager.h"
 #include "util/SignalHandler.h"
 #include "PathConfig.h"
 #include "CommandLineParser.h"
-#include "ConfigFileManager.h"
-#include "ConfigValueIncludes.h"
-#include "CoreIncludes.h"
-#include "DynLibManager.h"
-#include "GameMode.h"
-#include "GraphicsManager.h"
-#include "GUIManager.h"
-#include "Identifier.h"
-#include "Language.h"
-#include "LuaState.h"
-#include "command/ConsoleCommand.h"
-#include "command/IOConsole.h"
-#include "command/TclBind.h"
-#include "command/TclThreadManager.h"
-#include "input/InputManager.h"
 
 namespace orxonox
@@ -80,7 +61,4 @@
     Core* Core::singletonPtr_s  = 0;
 
-    SetCommandLineArgument(settingsFile, "orxonox.ini").information("THE configuration file");
-    SetCommandLineSwitch(noIOConsole).information("Use this if you don't want to use the IOConsole (for instance for Lua debugging)");
-
 #ifdef ORXONOX_PLATFORM_WINDOWS
     SetCommandLineArgument(limitToCPU, 1).information("Limits the program to one CPU/core (1, 2, 3, etc.). Default is the first core (faster than off)");
@@ -88,32 +66,7 @@
 
     Core::Core(const std::string& cmdLine)
-        // Cleanup guard for identifier destruction (incl. XMLPort, configValues, consoleCommands)
-        : identifierDestroyer_(Identifier::destroyAllIdentifiers)
-        // Cleanup guard for external console commands that don't belong to an Identifier
-        , consoleCommandDestroyer_(ConsoleCommand::destroyAll)
-        , bGraphicsLoaded_(false)
-        , bStartIOConsole_(true)
-        , lastLevelTimestamp_(0)
-        , ogreConfigTimestamp_(0)
     {
         // Set the hard coded fixed paths
         this->pathConfig_.reset(new PathConfig());
-
-        // Create a new dynamic library manager
-        this->dynLibManager_.reset(new DynLibManager());
-
-        // Load modules
-        const std::vector<std::string>& modulePaths = this->pathConfig_->getModulePaths();
-        for (std::vector<std::string>::const_iterator it = modulePaths.begin(); it != modulePaths.end(); ++it)
-        {
-            try
-            {
-                this->dynLibManager_->load(*it);
-            }
-            catch (...)
-            {
-                COUT(1) << "Couldn't load module \"" << *it << "\": " << Exception::handleMessage() << std::endl;
-            }
-        }
 
         // Parse command line arguments AFTER the modules have been loaded (static code!)
@@ -143,38 +96,4 @@
 #endif
 
-        // Manage ini files and set the default settings file (usually orxonox.ini)
-        this->configFileManager_.reset(new ConfigFileManager());
-        this->configFileManager_->setFilename(ConfigFileType::Settings,
-            CommandLineParser::getValue("settingsFile").getString());
-
-        // Required as well for the config values
-        this->languageInstance_.reset(new Language());
-
-        // Do this soon after the ConfigFileManager has been created to open up the
-        // possibility to configure everything below here
-        ClassIdentifier<Core>::getIdentifier("Core")->initialiseObject(this, "Core", true);
-        this->setConfigValues();
-
-        // create persistent io console
-        if (CommandLineParser::getValue("noIOConsole").getBool())
-        {
-            ModifyConfigValue(bStartIOConsole_, tset, false);
-        }
-        if (this->bStartIOConsole_)
-            this->ioConsole_.reset(new IOConsole());
-
-        // creates the class hierarchy for all classes with factories
-        Identifier::createClassHierarchy();
-
-        // Load OGRE excluding the renderer and the render window
-        this->graphicsManager_.reset(new GraphicsManager(false));
-
-        // initialise Tcl
-        this->tclBind_.reset(new TclBind(PathConfig::getDataPathString()));
-        this->tclThreadManager_.reset(new TclThreadManager(tclBind_->getTclInterpreter()));
-
-        // Create singletons that always exist (in other libraries)
-        this->rootScope_.reset(new Scope<ScopeID::Root>());
-
         // Generate documentation instead of normal run?
         std::string docFilename;
@@ -199,39 +118,4 @@
     Core::~Core()
     {
-        // Remove us from the object lists again to avoid problems when destroying them
-        this->unregisterObject();
-    }
-
-    //! Function to collect the SetConfigValue-macro calls.
-    void Core::setConfigValues()
-    {
-#ifdef ORXONOX_RELEASE
-        const unsigned int defaultLevelLogFile = 3;
-#else
-        const unsigned int defaultLevelLogFile = 4;
-#endif
-        SetConfigValueExternal(softDebugLevelLogFile_, "OutputHandler", "softDebugLevelLogFile", defaultLevelLogFile)
-            .description("The maximum level of debug output shown in the log file");
-        OutputHandler::getInstance().setSoftDebugLevel(OutputHandler::logFileOutputListenerName_s, this->softDebugLevelLogFile_);
-
-        SetConfigValue(language_, Language::getInstance().defaultLanguage_)
-            .description("The language of the in game text")
-            .callback(this, &Core::languageChanged);
-        SetConfigValue(bInitRandomNumberGenerator_, true)
-            .description("If true, all random actions are different each time you start the game")
-            .callback(this, &Core::initRandomNumberGenerator);
-        SetConfigValue(bStartIOConsole_, true)
-            .description("Set to false if you don't want to use the IOConsole (for Lua debugging for instance)");
-        SetConfigValue(lastLevelTimestamp_, 0)
-            .description("Timestamp when the last level was started.");
-        SetConfigValue(ogreConfigTimestamp_, 0)
-            .description("Timestamp when the ogre config file was changed.");
-    }
-
-    //! Callback function if the language has changed.
-    void Core::languageChanged()
-    {
-        // Read the translation file after the language was configured
-        Language::getInstance().readTranslatedLanguageFile();
     }
 
@@ -245,80 +129,4 @@
             bInitialized = true;
         }
-    }
-
-    void Core::loadGraphics()
-    {
-        // Any exception should trigger this, even in upgradeToGraphics (see its remarks)
-        Loki::ScopeGuard unloader = Loki::MakeObjGuard(*this, &Core::unloadGraphics);
-
-        // Upgrade OGRE to receive a render window
-        try
-        {
-            graphicsManager_->upgradeToGraphics();
-        }
-        catch (const InitialisationFailedException&)
-        {
-            // Exit the application if the Ogre config dialog was canceled
-            COUT(1) << Exception::handleMessage() << std::endl;
-            exit(EXIT_FAILURE);
-        }
-        catch (...)
-        {
-            // Recovery from this is very difficult. It requires to completely
-            // destroy Ogre related objects and load again (without graphics).
-            // However since Ogre 1.7 there seems to be a problem when Ogre
-            // throws an exception and the graphics engine then gets destroyed
-            // and reloaded between throw and catch (access violation in MSVC).
-            // That's why we abort completely and only display the exception.
-            COUT(1) << "An exception occurred during upgrade to graphics. "
-                    << "That is unrecoverable. The message was:" << endl
-                    << Exception::handleMessage() << endl;
-            abort();
-        }
-
-        // Calls the InputManager which sets up the input devices.
-        inputManager_.reset(new InputManager());
-
-        // Load the CEGUI interface
-        guiManager_.reset(new GUIManager(inputManager_->getMousePosition()));
-
-        bGraphicsLoaded_ = true;
-        GameMode::bShowsGraphics_s = true;
-
-        // Load some sort of a debug overlay (only denoted by its name, "debug.oxo")
-        graphicsManager_->loadDebugOverlay();
-
-        // Create singletons associated with graphics (in other libraries)
-        graphicsScope_.reset(new Scope<ScopeID::Graphics>());
-
-        unloader.Dismiss();
-    }
-
-    void Core::unloadGraphics()
-    {
-        this->graphicsScope_.reset();
-        this->guiManager_.reset();
-        this->inputManager_.reset();
-        this->graphicsManager_.reset();
-
-        // Load Ogre::Root again, but without the render system
-        try
-            { this->graphicsManager_.reset(new GraphicsManager(false)); }
-        catch (...)
-        {
-            COUT(0) << "An exception occurred during 'unloadGraphics':" << Exception::handleMessage() << std::endl
-                    << "Another exception might be being handled which may lead to undefined behaviour!" << std::endl
-                    << "Terminating the program." << std::endl;
-            abort();
-        }
-
-        bGraphicsLoaded_ = false;
-        GameMode::bShowsGraphics_s = false;
-    }
-
-    //! Sets the language in the config-file back to the default.
-    void Core::resetLanguage()
-    {
-        ResetConfigValue(language_);
     }
 
@@ -368,46 +176,3 @@
 #endif
     }
-
-    void Core::preUpdate(const Clock& time)
-    {
-        // Update singletons before general ticking
-        ScopedSingletonManager::preUpdate<ScopeID::Root>(time);
-        if (this->bGraphicsLoaded_)
-        {
-            // Process input events
-            this->inputManager_->preUpdate(time);
-            // Update GUI
-            this->guiManager_->preUpdate(time);
-            // Update singletons before general ticking
-            ScopedSingletonManager::preUpdate<ScopeID::Graphics>(time);
-        }
-        // Process console events and status line
-        if (this->ioConsole_ != NULL)
-            this->ioConsole_->preUpdate(time);
-        // Process thread commands
-        this->tclThreadManager_->preUpdate(time);
-    }
-
-    void Core::postUpdate(const Clock& time)
-    {
-        // Update singletons just before rendering
-        ScopedSingletonManager::postUpdate<ScopeID::Root>(time);
-        if (this->bGraphicsLoaded_)
-        {
-            // Update singletons just before rendering
-            ScopedSingletonManager::postUpdate<ScopeID::Graphics>(time);
-            // Render (doesn't throw)
-            this->graphicsManager_->postUpdate(time);
-        }
-    }
-
-    void Core::updateLastLevelTimestamp()
-    {
-        ModifyConfigValue(lastLevelTimestamp_, set, static_cast<long long>(time(NULL)));
-    }
-
-    void Core::updateOgreConfigTimestamp()
-    {
-        ModifyConfigValue(ogreConfigTimestamp_, set, static_cast<long long>(time(NULL)));
-    }
 }
Index: /code/forks/sandbox_light/src/libraries/core/Core.h
===================================================================
--- /code/forks/sandbox_light/src/libraries/core/Core.h	(revision 7907)
+++ /code/forks/sandbox_light/src/libraries/core/Core.h	(revision 7908)
@@ -46,8 +46,6 @@
 #include <string>
 #include <boost/scoped_ptr.hpp>
-#include <loki/ScopeGuard.h>
 
 #include "util/Singleton.h"
-#include "OrxonoxClass.h"
 
 namespace orxonox
@@ -59,9 +57,7 @@
         You should only create this singleton once because it destroys the identifiers!
     */
-    class _CoreExport Core : public Singleton<Core>, public OrxonoxClass
+    class _CoreExport Core : public Singleton<Core>
     {
-        typedef Loki::ScopeGuardImpl0<void (*)()> SimpleScopeGuard;
         friend class Singleton<Core>;
-        friend class Game;
 
         public:
@@ -76,58 +72,18 @@
             ~Core();
 
-            void setConfigValues();
-
-            //! Returns the configured language.
-            const std::string& getLanguage()
-                { return this->language_; }
-            void resetLanguage();
-
-            void updateLastLevelTimestamp();
-            inline long long getLastLevelTimestamp() const
-                { return this->lastLevelTimestamp_; }
-
-            void updateOgreConfigTimestamp();
-            inline long long getOgreConfigTimestamp() const
-                { return this->ogreConfigTimestamp_; }
-
         private:
             Core(const Core&); //!< Don't use (undefined symbol)
 
-            void languageChanged();
             void initRandomNumberGenerator();
 
-            void preUpdate(const Clock& time);
-            void postUpdate(const Clock& time);
+            void setThreadAffinity(int limitToCPU);
 
-            void loadGraphics();
-            void unloadGraphics();
-
-            void setThreadAffinity(int limitToCPU);
             // MANAGED SINGLETONS/OBJECTS
             // Mind the order for the destruction!
             scoped_ptr<PathConfig>        pathConfig_;
-            scoped_ptr<DynLibManager>     dynLibManager_;
             scoped_ptr<SignalHandler>     signalHandler_;
-            SimpleScopeGuard              identifierDestroyer_;
-            SimpleScopeGuard              consoleCommandDestroyer_;
-            scoped_ptr<ConfigFileManager> configFileManager_;
-            scoped_ptr<Language>          languageInstance_;
-            scoped_ptr<IOConsole>         ioConsole_;
-            scoped_ptr<TclBind>           tclBind_;
-            scoped_ptr<TclThreadManager>  tclThreadManager_;
-            scoped_ptr<Scope<ScopeID::Root> > rootScope_;
-            // graphical
-            scoped_ptr<GraphicsManager>   graphicsManager_;     //!< Interface to OGRE
-            scoped_ptr<InputManager>      inputManager_;        //!< Interface to OIS
-            scoped_ptr<GUIManager>        guiManager_;          //!< Interface to GUI
-            scoped_ptr<Scope<ScopeID::Graphics> > graphicsScope_;
 
-            bool                          bGraphicsLoaded_;
             int                           softDebugLevelLogFile_;      //!< The debug level for the log file (belongs to OutputHandler)
-            std::string                   language_;                   //!< The language
             bool                          bInitRandomNumberGenerator_; //!< If true, srand(time(0)) is called
-            bool                          bStartIOConsole_;            //!< Set to false if you don't want to use the IOConsole
-            long long                     lastLevelTimestamp_;         ///< Timestamp when the last level was started
-            long long                     ogreConfigTimestamp_;        ///< Timestamp wehen the ogre config level was modified
 
             static Core*                  singletonPtr_s;
Index: /code/forks/sandbox_light/src/libraries/core/CorePrereqs.h
===================================================================
--- /code/forks/sandbox_light/src/libraries/core/CorePrereqs.h	(revision 7907)
+++ /code/forks/sandbox_light/src/libraries/core/CorePrereqs.h	(revision 7908)
@@ -65,5 +65,4 @@
 namespace orxonox
 {
-    static const uint32_t OBJECTID_UNKNOWN = static_cast<uint32_t>(-1);
 }
 
@@ -74,36 +73,4 @@
 namespace orxonox
 {
-    namespace XMLPort
-    {
-        enum Mode
-        {
-            NOP,
-            LoadObject,
-            SaveObject,
-            ExpandObject
-        };
-    }
-
-    namespace ConfigFileType
-    {
-        enum Value
-        {
-            Settings,
-            JoyStickCalibration,
-            CommandHistory
-            // Don't forget to adjust the array size in the ConfigFileManager when adding a new entry here!
-        };
-    }
-
-    namespace KeybindMode
-    {
-        enum Value
-        {
-            OnPress,
-            OnHold,
-            OnRelease,
-            None
-        };
-    };
 }
 
@@ -114,142 +81,8 @@
 namespace orxonox
 {
-    typedef std::string LanguageEntryLabel;
-
-    template <class T, class U>
-    T orxonox_cast(U*);
-
-    class BaseObject;
-    template <class T>
-    class ClassFactory;
-    template <class T>
-    class ClassIdentifier;
-    class ClassTreeMask;
-    class ClassTreeMaskIterator;
-    class ClassTreeMaskNode;
-    class ClassTreeMaskObjectIterator;
     class CommandLineParser;
     class CommandLineArgument;
-    class ConfigFile;
-    class ConfigFileEntry;
-    class ConfigFileEntryComment;
-    class ConfigFileEntryValue;
-    class ConfigFileManager;
-    class ConfigFileSection;
-    class ConfigValueContainer;
     class Core;
-    class DestructionListener;
-    class DynLib;
-    class DynLibManager;
-    struct Event;
-    class EventState;
-    class Factory;
-    class Game;
-    class GameState;
-    struct GameStateInfo;
-    struct GameStateTreeNode;
-    class GraphicsManager;
-    class GUIManager;
-    class Identifier;
-    template <class T>
-    class Iterator;
-    class Language;
-    class LuaFunctor;
-    class LuaState;
-    class MemoryArchive;
-    class MemoryArchiveFactory;
-    class MetaObjectList;
-    class MetaObjectListElement;
-    class Namespace;
-    class NamespaceNode;
-    template <class T>
-    class ObjectList;
-    class ObjectListBase;
-    class ObjectListBaseElement;
-    template <class T>
-    class ObjectListElement;
-    template <class T>
-    class ObjectListIterator;
-    class OgreWindowEventListener;
-    class OrxonoxClass;
     class PathConfig;
-    struct ResourceInfo;
-    class SettingsConfigFile;
-    template <class T>
-    class SmartPtr;
-    template <class T>
-    class SubclassIdentifier;
-    class Template;
-    class Thread;
-    class ThreadPool;
-    template <class T>
-    class WeakPtr;
-    class WindowEventListener;
-    class XMLFile;
-    class XMLNameListener;
-    template <class T, class O>
-    class XMLPortClassObjectContainer;
-    template <class T>
-    class XMLPortClassParamContainer;
-    class XMLPortObjectContainer;
-    class XMLPortParamContainer;
-
-    // Command
-    class ArgumentCompleter;
-    class ArgumentCompletionListElement;
-    class CommandEvaluation;
-    class ConsoleCommand;
-    class Executor;
-    template <class T>
-    class ExecutorMember;
-    class ExecutorStatic;
-    class Functor;
-    template <class O>
-    class FunctorMember;
-    typedef FunctorMember<void> FunctorStatic;
-    template <class F, class O>
-    class FunctorPointer;
-    class IOConsole;
-    class IRC;
-    class Shell;
-    class ShellListener;
-    class TclBind;
-    struct TclInterpreterBundle;
-    template <class T>
-    class TclThreadList;
-    class TclThreadManager;
-
-    // Input
-    class BaseCommand;
-    class BufferedParamCommand;
-    class Button;
-    class HalfAxis;
-    class InputBuffer;
-    class InputDevice;
-    template <class Traits>
-    class InputDeviceTemplated;
-    class InputHandler;
-    class InputManager;
-    class InputState;
-    struct InputStatePriority;
-    class JoyStickQuantityListener;
-    class JoyStick;
-    class KeyBinder;
-    class KeyBinderManager;
-    class Keyboard;
-    class KeyDetector;
-    class KeyEvent;
-    class Mouse;
-    class ParamCommand;
-    class SimpleCommand;
-}
-
-#include "command/FunctorPtr.h"
-#include "command/ExecutorPtr.h"
-
-// CppTcl
-namespace Tcl
-{
-    class interpreter;
-    class object;
 }
 
@@ -278,65 +111,4 @@
     }
 #endif
-    class thread;
-    class mutex;
-    class shared_mutex;
-    class condition_variable;
-}
-
-// Ogre
-namespace Ogre
-{
-    class DataStream;
-    template <class T> class SharedPtr;
-    typedef SharedPtr<DataStream> DataStreamPtr;
-}
-namespace orxonox
-{
-    // Import the Ogre::DataStream
-    using Ogre::DataStream;
-    using Ogre::DataStreamPtr;
-}
-
-// CEGUI
-namespace CEGUI
-{
-    class DefaultLogger;
-    class Logger;
-    class LuaScriptModule;
-
-    class OgreCEGUIRenderer;
-    class OgreCEGUIResourceProvider;
-    class OgreCEGUITexture;
-}
-
-// Lua
-struct lua_State;
-
-// TinyXML and TinyXML++
-class TiXmlString;
-class TiXmlOutStream;
-class TiXmlNode;
-class TiXmlHandle;
-class TiXmlDocument;
-class TiXmlElement;
-class TiXmlComment;
-class TiXmlUnknown;
-class TiXmlAttribute;
-class TiXmlText;
-class TiXmlDeclaration;
-class TiXmlParsingData;
-namespace ticpp
-{
-    class Document;
-    class Element;
-    class Declaration;
-    class StylesheetReference;
-    class Text;
-    class Comment;
-    class Attribute;
-}
-namespace orxonox
-{
-    using ticpp::Element;
 }
 
Index: /code/forks/sandbox_light/src/libraries/core/PathConfig.cc
===================================================================
--- /code/forks/sandbox_light/src/libraries/core/PathConfig.cc	(revision 7907)
+++ /code/forks/sandbox_light/src/libraries/core/PathConfig.cc	(revision 7908)
@@ -76,7 +76,5 @@
         : rootPath_(*(new bf::path()))
         , executablePath_(*(new bf::path()))
-        , modulePath_(*(new bf::path()))
         , dataPath_(*(new bf::path()))
-        , externalDataPath_(*(new bf::path()))
         , configPath_(*(new bf::path()))
         , logPath_(*(new bf::path()))
@@ -138,5 +136,4 @@
             COUT(1) << "Running from the build tree." << std::endl;
             PathConfig::bDevRun_ = true;
-            modulePath_ = specialConfig::moduleDevDirectory;
         }
         else
@@ -153,12 +150,7 @@
                 ThrowException(General, "Could not derive a root directory. Might the binary installation directory contain '..' when taken relative to the installation prefix path?");
 
-            // Module path is fixed as well
-            modulePath_ = rootPath_ / specialConfig::defaultModulePath;
-
 #else
 
             // There is no root path, so don't set it at all
-            // Module path is fixed as well
-            modulePath_ = specialConfig::moduleInstallDirectory;
 
 #endif
@@ -170,7 +162,5 @@
         delete &rootPath_;
         delete &executablePath_;
-        delete &modulePath_;
         delete &dataPath_;
-        delete &externalDataPath_;
         delete &configPath_;
         delete &logPath_;
@@ -184,10 +174,4 @@
             configPath_       = specialConfig::configDevDirectory;
             logPath_          = specialConfig::logDevDirectory;
-
-            // Check for data path override by the command line
-            if (!CommandLineParser::getArgument("externalDataPath")->hasDefaultValue())
-                externalDataPath_ = CommandLineParser::getValue("externalDataPath").getString();
-            else
-                externalDataPath_ = specialConfig::externalDataDevDirectory;
         }
         else
@@ -251,44 +235,4 @@
     }
 
-    std::vector<std::string> PathConfig::getModulePaths()
-    {
-        std::vector<std::string> modulePaths;
-
-        // We search for helper files with the following extension
-        const std::string& moduleextension = specialConfig::moduleExtension;
-        size_t moduleextensionlength = moduleextension.size();
-
-        // Add that path to the PATH variable in case a module depends on another one
-        std::string pathVariable(getenv("PATH"));
-        putenv(const_cast<char*>(("PATH=" + pathVariable + ';' + modulePath_.string()).c_str()));
-
-        // Make sure the path exists, otherwise don't load modules
-        if (!boost::filesystem::exists(modulePath_))
-            return modulePaths;
-
-        boost::filesystem::directory_iterator file(modulePath_);
-        boost::filesystem::directory_iterator end;
-
-        // Iterate through all files
-        while (file != end)
-        {
-            const std::string& filename = file->BOOST_LEAF_FUNCTION();
-
-            // Check if the file ends with the exension in question
-            if (filename.size() > moduleextensionlength)
-            {
-                if (filename.substr(filename.size() - moduleextensionlength) == moduleextension)
-                {
-                    // We've found a helper file
-                    const std::string& library = filename.substr(0, filename.size() - moduleextensionlength);
-                    modulePaths.push_back((modulePath_ / library).file_string());
-                }
-            }
-            ++file;
-        }
-
-        return modulePaths;
-    }
-
     /*static*/ std::string PathConfig::getRootPathString()
     {
@@ -306,9 +250,4 @@
     }
 
-    /*static*/ std::string PathConfig::getExternalDataPathString()
-    {
-        return getInstance().externalDataPath_.string() + '/';
-    }
-
     /*static*/ std::string PathConfig::getConfigPathString()
     {
@@ -320,8 +259,3 @@
         return getInstance().logPath_.string() + '/';
     }
-
-    /*static*/ std::string PathConfig::getModulePathString()
-    {
-        return getInstance().modulePath_.string() + '/';
-    }
 }
Index: /code/forks/sandbox_light/src/libraries/core/PathConfig.h
===================================================================
--- /code/forks/sandbox_light/src/libraries/core/PathConfig.h	(revision 7907)
+++ /code/forks/sandbox_light/src/libraries/core/PathConfig.h	(revision 7908)
@@ -85,7 +85,4 @@
             static const boost::filesystem::path& getDataPath()
                 { return getInstance().dataPath_; }
-            //! Returns the path to the external data files as boost::filesystem::path
-            static const boost::filesystem::path& getExternalDataPath()
-                { return getInstance().externalDataPath_; }
             //! Returns the path to the config files as boost::filesystem::path
             static const boost::filesystem::path& getConfigPath()
@@ -94,7 +91,4 @@
             static const boost::filesystem::path& getLogPath()
                 { return getInstance().logPath_; }
-            //! Returns the path to the modules as boost::filesystem::path
-            static const boost::filesystem::path& getModulePath()
-                { return getInstance().modulePath_; }
 
             //! Returns the path to the root folder as std::string
@@ -104,12 +98,8 @@
             //! Returns the path to the data files as std::string
             static std::string getDataPathString();
-            //! Returns the path to the external data files as std::string
-            static std::string getExternalDataPathString();
             //! Returns the path to the config files as std::string
             static std::string getConfigPathString(); //tolua_export
             //! Returns the path to the log files as std::string
             static std::string getLogPathString();
-            //! Returns the path to the modules as std::string
-            static std::string getModulePathString();
 
             //! Return trrue for runs in the build directory (not installed)
@@ -126,13 +116,9 @@
             */
             void setConfigurablePaths();
-            //! Returns a list with all modules declared by a *.module file in the module folder.
-            std::vector<std::string> getModulePaths();
 
             //! Path to the parent directory of the ones above if program was installed with relativ paths
             boost::filesystem::path& rootPath_;
             boost::filesystem::path& executablePath_;        //!< Path to the executable
-            boost::filesystem::path& modulePath_;            //!< Path to the modules
             boost::filesystem::path& dataPath_;              //!< Path to the data files folder
-            boost::filesystem::path& externalDataPath_;      //!< Path to the external data files folder
             boost::filesystem::path& configPath_;            //!< Path to the config files folder
             boost::filesystem::path& logPath_;               //!< Path to the log files folder
Index: /code/forks/sandbox_light/src/libraries/util/CMakeLists.txt
===================================================================
--- /code/forks/sandbox_light/src/libraries/util/CMakeLists.txt	(revision 7907)
+++ /code/forks/sandbox_light/src/libraries/util/CMakeLists.txt	(revision 7908)
@@ -21,15 +21,11 @@
   Clock.cc
   Exception.cc
-  ExprParser.cc
   Math.cc
   MultiType.cc
-  Scope.cc
   StringUtils.cc
 COMPILATION_BEGIN StableCompilation.cc
-  Clipboard.cc
   Convert.cc
   CRC32.cc
   OutputHandler.cc
-  ScopedSingletonManager.cc
   SharedPtr.cc
   SignalHandler.cc
@@ -54,6 +50,5 @@
   FIND_HEADER_FILES
   LINK_LIBRARIES
-    ${CEGUI_LIBRARY}
-    ${OGRE_LIBRARY}
+    ogremath_orxonox
   SOURCE_FILES
     ${UTIL_SRC_FILES}
Index: /code/forks/sandbox_light/src/libraries/util/Clock.cc
===================================================================
--- /code/forks/sandbox_light/src/libraries/util/Clock.cc	(revision 7907)
+++ /code/forks/sandbox_light/src/libraries/util/Clock.cc	(revision 7908)
@@ -28,5 +28,5 @@
 
 #include "Clock.h"
-#include <OgreTimer.h>
+#include <ogremath/OgreTimer.h>
 
 namespace orxonox
Index: /code/forks/sandbox_light/src/libraries/util/Exception.cc
===================================================================
--- /code/forks/sandbox_light/src/libraries/util/Exception.cc	(revision 7907)
+++ /code/forks/sandbox_light/src/libraries/util/Exception.cc	(revision 7908)
@@ -35,5 +35,4 @@
 #include "Exception.h"
 
-#include <CEGUIExceptions.h>
 #include "Debug.h"
 
@@ -99,13 +98,4 @@
             return ex.what();
         }
-        catch (const CEGUI::Exception& ex)
-        {
-#if CEGUI_VERSION_MAJOR == 0 && CEGUI_VERSION_MINOR < 6
-            return GeneralException(ex.getMessage().c_str()).getDescription();
-#else
-            return GeneralException(ex.getMessage().c_str(), ex.getLine(),
-                ex.getFileName().c_str(), ex.getName().c_str()).getDescription();
-#endif
-        }
         catch (...)
         {
